Package org.eclipse.emf.cdo

# Class CDOElement

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.cdo.CDOElement

All Implemented Interfaces:
  `IAdaptable`, `Adapter`, `Adapter.Internal`

public class CDOElement extends AdapterImpl implements IAdaptable
An `adapter` for `EObjects` that is able to impose an alternative contents tree structure.

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CDOElement.StateProvider`
Provides the consumer with the `states` of objects such as `CDOObjects`.

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`CDOElement(EObject delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChild(Object child)`
`Object`
`getAdapter(Class adapter)`
`Object[]`
`getChildren()`
`Object`
`getDelegate()`
`static CDOElement`
`getFor(Object object)`
`Object`
`getParent()`
`static EObject`
`getParentOf(EObject eObject)`
`boolean`
`hasChildren()`
`boolean`
`isAdapterForType(Object type)`
`static EList<Adapter>`
`removeFrom(Object object)`
`void`
`reset()`
`String`
`toString()`
`String`
`toString(Object child)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOElement

public CDOElement(EObject delegate)

## Method Details

### getDelegate

public Object getDelegate()

### getParent

public Object getParent()

### getChildren

public Object[] getChildren()

### hasChildren

public boolean hasChildren()

### addChild

public void addChild(Object child)

### reset

public void reset()

### isAdapterForType

public boolean isAdapterForType(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`

### getAdapter

public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

### toString

public String toString(Object child)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getParentOf

public static EObject getParentOf(EObject eObject)

### getFor

public static CDOElement getFor(Object object)

### removeFrom

public static EList<Adapter> removeFrom(Object object)